cxf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Johan Edstrom <j...@opennms.org>
Subject Re: Endorse jaxws 2.2 API jar
Date Thu, 17 Jun 2010 16:51:33 GMT
I'm not sure that actually is needed, from the jax-ws website - 

JDK 6u4 includes JAX-WS 2.1 and JAXB 2.1 API and RI. JAX-WS RI 2.2EA includes newer and enhanced
RI of JAX-WS/JAXB 2.1. In order to run JAX-WS RI 2.2EA you would need to put the jars in the
classpath(endorsed mechanism is not required anymore). 


On Jun 17, 2010, at 10:41 AM, Benson Margulies wrote:

> More or less putting it in the boot classpath.
> 
> 
> 
> On Thu, Jun 17, 2010 at 12:30 PM, Glen Mazza <glen.mazza@gmail.com> wrote:
>> 
>> BTW, what does "endorse" mean here--I don't understand the concept.
>> 
>> Thanks,
>> Glen
>> 
>> 
>> jim ma wrote:
>>> 
>>> Hi all ,
>>> 
>>> When we update to jaxws 2.2 , we have to endorse the jaxws api jar for
>>> jdk6. I've updated the jaxws api dependency to 2.2 and endorsed the
>>> jaxws api 2.2 jar to   maven surefire and compiler plugin . If there
>>> is no objection , I will check in this change .
>>> We also need to look at endorsing the maven codegen plugin  ,  cxf ant
>>> task and samples in distribution kit.  If you have any concerns and
>>> thoughts about jaxws2.2 api update and endorse dir , please let me
>>> know .
>>> 
>>> Thanks
>>> 
>>> Jim
>>> 
>>> 
>> 
>> --
>> View this message in context: http://old.nabble.com/Endorse-jaxws-2.2-API-jar-tp28916357p28916691.html
>> Sent from the cxf-dev mailing list archive at Nabble.com.
>> 
>> 

Johan Edstrom

joed@opennms.org

They that can give up essential liberty to purchase a little temporary safety, deserve neither
liberty nor safety.

Benjamin Franklin, Historical Review of Pennsylvania, 1759






Mime
View raw message